GNU bug report logs - #37447
26.3; Commands on <delete> and <backspace>

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Sebastian Urban <mrsebastianurban@HIDDEN>; merged with #29430; dated Wed, 18 Sep 2019 11:47:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 29430 37447. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 21 Sep 2019 15:41:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 21 11:41:56 2019
Received: from localhost ([127.0.0.1]:33132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBhWG-0007u1-6z
	for submit <at> debbugs.gnu.org; Sat, 21 Sep 2019 11:41:56 -0400
Received: from mail-lf1-f49.google.com ([209.85.167.49]:32952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iBhWD-0007tm-Kf
 for 37447 <at> debbugs.gnu.org; Sat, 21 Sep 2019 11:41:54 -0400
Received: by mail-lf1-f49.google.com with SMTP id y127so7123988lfc.0
 for <37447 <at> debbugs.gnu.org>; Sat, 21 Sep 2019 08:41:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=pvLGc4vna8AvzgEfMuVul4ZBfxR/TwU+5aPI2mTrDOA=;
 b=WaOmeuBw/jA9y8aAuFPoyZqQAT2WtZ0p7KW8hvGOknfmb/cAF34N/IySsMGGG0cfgH
 bk+9UyXdQ6Mmrq3ShQ4gbYG79llKzBoZUYidJusfhVwFq+TneZ5rtZvMzRpFFAAmDok8
 hsVmFA7OQAWR17oxXbSjk59W/vmdsbMJFCbRGinJYIYTSwIx9OBAtlw5q1CBols4jMWl
 or60th920Ksj1L/0r2ErY1PrJWr6OFtkBZGhUMn8vd1ocbtC7I1tRoWQoqb612yce42v
 yyrEjxvEjvZih03zGVuYY7WMKZF7WMDdWTvNVaG4yb1AUadldcd3IkqLj9Me3XCNbhCA
 7b3g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=pvLGc4vna8AvzgEfMuVul4ZBfxR/TwU+5aPI2mTrDOA=;
 b=sB8B7e+UFItaTkgyU/XOLTlMlvSqONyh5c/ONDDw5cDyORpU2mfh6uDujXdJGvSPqW
 SK5+LlywKWDG3kzKUbxHX7Pw2AajqUY4fpT66/XLcbX8M4rWNuv10nhenEzILmSYo6xR
 /iQ2oLc+SglmEdjuETyQRxNiHbH4XYKqQSnqPrsPSqx5oVEIhx7q9ZCjDHrAcRepKQX4
 0TRAwC+XedJ0byYE20uQ2jXMBpM4YT1VYqKjSDitim1EQGd02ziMJMq9EfLKYsmJ6HMP
 booNMU0X7eeX//dmFJfFq1NE1h7z3gQdieQgPVOBVAHbNW3hbyluwbv2kfcZUzLXFI5C
 L7EA==
X-Gm-Message-State: APjAAAU0yGrEmIGgk7LXASVq3Q82jrU32m1V4axTI88JizxWi1kNAu17
 3Kq8kf4qQujmpN30FtMrgRen7EvBQEyrIQ==
X-Google-Smtp-Source: APXvYqxAtKO3jgIqvyBch6XD1rfuu01a76jhRpCxurp6k9nvoAv2lAV8eiGcl1sxRL8kzrU0ti9bLw==
X-Received: by 2002:ac2:4adb:: with SMTP id m27mr11711783lfp.1.1569080507237; 
 Sat, 21 Sep 2019 08:41:47 -0700 (PDT)
Received: from [192.168.1.125] (87-242-55.netrun.cytanet.com.cy.
 [87.228.242.55])
 by smtp.googlemail.com with ESMTPSA id v7sm1147944lfd.55.2019.09.21.08.41.44
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 21 Sep 2019 08:41:46 -0700 (PDT)
Subject: Re: bug#37447: 26.3; Commands on <delete> and <backspace>
To: Juri Linkov <juri@HIDDEN>, Noam Postavsky <npostavs@HIDDEN>
References: <f49e689b-ed08-646c-5fc4-da6316dd711b@HIDDEN>
 <83blvhvkw0.fsf@HIDDEN> <14e4c460-b349-00f8-1705-81d89ab4930c@HIDDEN>
 <877e64qgby.fsf@HIDDEN>
 <077979fb-c46c-495d-9d91-ed94b619cb25@default> <85o8zgj6bi.fsf@HIDDEN>
 <87h858nddf.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <dfa859d2-e892-b391-270e-117e354dea6b@HIDDEN>
Date: Sat, 21 Sep 2019 18:41:36 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87h858nddf.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 37447
Cc: Sebastian Urban <mrsebastianurban@HIDDEN>, 37447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 20.09.2019 1:13, Juri Linkov wrote:

>> FWIW, recent (since around 2007~2010 from what I see on the web) Xorg
>> disables C-M-<backspace> as the kill X server by default.
> 
> I can't confirm since I'm afraid of typing these keys :)

I can confirm, and I tried and failed to use this combination to kill 
Xorg a couple of years ago. Just once :)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 20 Sep 2019 16:22:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 12:22:38 2019
Received: from localhost ([127.0.0.1]:58361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBLg5-00036f-Nj
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2019 12:22:37 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:45023)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mrsebastianurban@HIDDEN>) id 1iBLg3-00036S-85
 for 37447 <at> debbugs.gnu.org; Fri, 20 Sep 2019 12:22:36 -0400
Received: by mail-lf1-f41.google.com with SMTP id q11so5440852lfc.11
 for <37447 <at> debbugs.gnu.org>; Fri, 20 Sep 2019 09:22:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=WLl1RFJIpdLTSZCYNfwLHzGqA2rFrMnHwYR5FWVQems=;
 b=ZsWLHoCvpgtwtRN+UkacXsJn49qltFb6l6U/nIUS5EtaJTJVRJ8lCYLK3vRjjDy4ZI
 iJgfLrh3nlb6ZY+xdhJ9Mr4DTUEwOo0Fk+pP2+u6JuKHMVNMqyUwdvcwa+Yu82DLdLBW
 RlEexLPnHlv8ODZjs0kjg7TcxisDZxlAVLiG/228wwxUJPl1hUI57qBG3RtcjnJPeGtW
 1MkWxEtA+fGix8/JQKH/gB6kGoqGAGUddZmwNPLfP21NjJe0+s2MbuTdTnl6ziBCayz1
 VgclB7G5mN0JrSFyv7wnisw7HaWO4Sfj7XpbQG9HogiFIyagkQM5UQ6G+UC9cYWpEYWQ
 Z1Ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=WLl1RFJIpdLTSZCYNfwLHzGqA2rFrMnHwYR5FWVQems=;
 b=J4rKm+yo4ItwvjFn/1m4pNrJLkHVJJAj5iscluAjxTH/wY7O2D7s7hD74ka3rtSxMe
 PH4QmmWTIW9iVCnsxvv8UU+pJhnRk9VuuE14gHWXMnxSzzYSwpvsBGJFe0MOqw9Pkmh9
 cKGgXJaSb54vYgVODg8DhR1ptJ92S0H8fzDhG1Rp4zLmvHLdc1MsLD4H1JpGSwemmONP
 WxwFvjUVHuj0alB45MPEIVo6mlAwifebLqgebAVq5jctPGsevNvgENe8LhiNElKOE1m8
 lryI9P87MbtilM7aF2U7PTHlWHU0qPJXFPW1F/6SH6/mN/BHvR358cGkaLNmbVoUJyfQ
 Wl0A==
X-Gm-Message-State: APjAAAVwKhhmr4CJGgEegEgf+/XEhcLwH8r0PaRGerG/fICEPxSm0wsH
 czTlxkBZIeMOPkJPDb6LysneCwF69GU=
X-Google-Smtp-Source: APXvYqyIRfbWyjyr6fghpn1rmFiSkqObhddqmPRa1yC6EyVjkBXqOxfrHnxLwhjyTbS4gSCnQaE/sA==
X-Received: by 2002:a19:6455:: with SMTP id b21mr9405970lfj.167.1568996549205; 
 Fri, 20 Sep 2019 09:22:29 -0700 (PDT)
Received: from [89.161.0.90] (ip-89-161-0-90.tel.tkb.net.pl. [89.161.0.90])
 by smtp.gmail.com with ESMTPSA id x15sm646639lff.54.2019.09.20.09.22.28
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 20 Sep 2019 09:22:28 -0700 (PDT)
Subject: Re: bug#37447: 26.3; Commands on <delete> and <backspace>
To: Eli Zaretskii <eliz@HIDDEN>
References: <e9bfcd45-53e2-d517-7ae0-3cc1e39ef99f@HIDDEN>
 <83v9tnrv8t.fsf@HIDDEN>
From: Sebastian Urban <mrsebastianurban@HIDDEN>
Message-ID: <2de76f3a-50ed-ff96-17c8-db46f7858492@HIDDEN>
Date: Fri, 20 Sep 2019 18:22:32 +0200
User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <83v9tnrv8t.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37447
Cc: 37447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > The DEL part should be your hint.  DEL is a key that deletes
 > _backward_.

Ok, now I'm confused even more...  I know DEL deletes backward, but in
the manual it is related to <backspace> key.  Now, I'm writing about
"Delete" key (button) that is below "Insert" and next to "End", not
about "Backspace" key.

So, to write it as simple as possible, on keyboard 'C-d' deletes char
forward, so does 'Delete' button.  'M-d' kills word forward, so I'm
expecting 'M-Delete' will do the same, but instead it kills backward
because it's translated to 'M-DEL'...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 20 Sep 2019 12:46:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 08:46:19 2019
Received: from localhost ([127.0.0.1]:56930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBIIh-0003oF-Cd
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2019 08:46:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iBIIe-0003nx-9w
 for 37447 <at> debbugs.gnu.org; Fri, 20 Sep 2019 08:46:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50943)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iBIIY-0006Wb-R6; Fri, 20 Sep 2019 08:46:06 -0400
Received: from [176.228.60.248] (port=3995 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iBIIY-00032h-7o; Fri, 20 Sep 2019 08:46:06 -0400
Date: Fri, 20 Sep 2019 15:46:10 +0300
Message-Id: <83v9tnrv8t.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Sebastian Urban <mrsebastianurban@HIDDEN>
In-reply-to: <e9bfcd45-53e2-d517-7ae0-3cc1e39ef99f@HIDDEN> (message from
 Sebastian Urban on Fri, 20 Sep 2019 12:32:19 +0200)
Subject: Re: bug#37447: 26.3; Commands on <delete> and <backspace>
References: <e9bfcd45-53e2-d517-7ae0-3cc1e39ef99f@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37447
Cc: 37447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37447 <at> debbugs.gnu.org
> From: Sebastian Urban <mrsebastianurban@HIDDEN>
> Date: Fri, 20 Sep 2019 12:32:19 +0200
> 
>  > What does "C-h c M-<delete>" display?  Does that text answer your
>  > questions, when you contrast it with what "C-h c" shows for <delete>
>  > and C-<delete>?
> 
> C-h c M-<delete>:
>      M-DEL (translated from <M-delete>) runs the command
>      backward-kill-word
> 
> C-h c <delete>:
>      <deletechar> (translated from <delete>) runs the command
>      delete-forward-char
> 
> C-h c C-<delete>:
>      <C-delete> runs the command kill-word
> 
> I'm not sure how this could help me or how I'm suppose to understand
> this.

The DEL part should be your hint.  DEL is a key that deletes
_backward_.

> M-<delete> doesn't run command, but is translated to 'M-DEL' that does
> run the command.  M-<backspace> uses the same translation.  Couldn't
> it be:
> - <M-delete> runs the command kill-word
> - M-DEL (translated from <C-delete>) runs the command
>    backward-kill-word

See above.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 20 Sep 2019 10:32:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 06:32:25 2019
Received: from localhost ([127.0.0.1]:56859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBGDB-0006oO-1s
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2019 06:32:25 -0400
Received: from mail-lj1-f173.google.com ([209.85.208.173]:36420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mrsebastianurban@HIDDEN>) id 1iBGD9-0006o3-AU
 for 37447 <at> debbugs.gnu.org; Fri, 20 Sep 2019 06:32:23 -0400
Received: by mail-lj1-f173.google.com with SMTP id v24so6595849ljj.3
 for <37447 <at> debbugs.gnu.org>; Fri, 20 Sep 2019 03:32:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:references:subject:in-reply-to:cc:from:message-id:date
 :user-agent:mime-version:content-language:content-transfer-encoding;
 bh=rLg0xGMDxXrcZtPaqdFhJA0ieZSVR4PJj3ZzGAt5RgM=;
 b=hSx86MR+U3vfNgSxaq39HZRoWlu/mcoWSfIusZnYj+DiT7xoIrKTWdGb1jxfVW1oFj
 oe3JcBSnGf1Ntk5aaiJg3PZiVBqz8pwKbvC0wZ6s/GQD1TPNR85mgQvuTdZytcW2t3M9
 oLdx6Nvnha/e4iCfbDhJj8ON93SDsLiLsVUOrUVbnHcX+zWmLEGUJbcra1sGUcFGHbs5
 O7pWS84OJeyFedprDy9ihZI1C1hFIp7CEQJhJor0K6QqJNGlpvQ7GLTxdQ09gG71oEfS
 Vt4aKbgIWOz4nAI17S+CpUEs4dsVBVZ6JVjDgRDj4ll+40VLgHtlsS57QMNyQlGFpV0w
 es1A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:references:subject:in-reply-to:cc:from
 :message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=rLg0xGMDxXrcZtPaqdFhJA0ieZSVR4PJj3ZzGAt5RgM=;
 b=lX+4nu948YP0O4VhEClhYYCIIq4J/z/FbIVEN1krc/dPJkoSH222RdUgpifBqnaNpT
 YMNt4NLa4Z5N21Yrwpl1qrQ9E3i80mGNsSnbqLbUbImff9y9uZfbNfb1kEeACpW4pgS0
 rOevD+f/cPagwGNAO6OUAzu+aAnzT3yvjN6hdF7/TsayZ5KA0Or0rlZJN4y76Ia6Lwrw
 mBM6h0Lz+TOYLcIlGvqeY/iL5vNhZlCxev3t1JJVfNeM7KSKaPbO/hbwQJ5UrkJ6DLwv
 xbqohHodCBpa1W8Vlyb9uZu81YDokdYJNez6DEEyEh/pzHqJf0VKj7frvltacOYxOX4Y
 njCA==
X-Gm-Message-State: APjAAAVCeX5y35X+b6nh3hio2KTToAcnWn2xcRJWsruIVPKVRJpNC8UW
 sE7aqYU63QY1Rx/iF4u59DWyUvqNovA=
X-Google-Smtp-Source: APXvYqy1msA8VhqT8CFlAzTiPLRT6WCE70FpnsGahqEIJfqdD1iusaK8uyg5j8AIRwSzsehoaVlAQA==
X-Received: by 2002:a2e:808c:: with SMTP id i12mr8771021ljg.78.1568975537085; 
 Fri, 20 Sep 2019 03:32:17 -0700 (PDT)
Received: from [89.161.0.90] (ip-89-161-0-90.tel.tkb.net.pl. [89.161.0.90])
 by smtp.gmail.com with ESMTPSA id c10sm396506lfp.65.2019.09.20.03.32.16
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 20 Sep 2019 03:32:16 -0700 (PDT)
To: eliz@HIDDEN
References: 
Subject: bug#37447: 26.3; Commands on <delete> and <backspace>
In-Reply-To: <83zhizs48w.fsf@HIDDEN>
From: Sebastian Urban <mrsebastianurban@HIDDEN>
Message-ID: <e9bfcd45-53e2-d517-7ae0-3cc1e39ef99f@HIDDEN>
Date: Fri, 20 Sep 2019 12:32:19 +0200
User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37447
Cc: 37447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > What does "C-h c M-<delete>" display?  Does that text answer your
 > questions, when you contrast it with what "C-h c" shows for <delete>
 > and C-<delete>?

C-h c M-<delete>:
     M-DEL (translated from <M-delete>) runs the command
     backward-kill-word

C-h c <delete>:
     <deletechar> (translated from <delete>) runs the command
     delete-forward-char

C-h c C-<delete>:
     <C-delete> runs the command kill-word

I'm not sure how this could help me or how I'm suppose to understand
this.

M-<delete> doesn't run command, but is translated to 'M-DEL' that does
run the command.  M-<backspace> uses the same translation.  Couldn't
it be:
- <M-delete> runs the command kill-word
- M-DEL (translated from <C-delete>) runs the command
   backward-kill-word

Or couldn't 'C-<delete>' run command backward-kill-word directly?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 20 Sep 2019 09:31:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 05:31:45 2019
Received: from localhost ([127.0.0.1]:56797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBFGS-0005HU-TV
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2019 05:31:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iBFGQ-0005HG-SL
 for 37447 <at> debbugs.gnu.org; Fri, 20 Sep 2019 05:31:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38483)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iBFGL-0001Cs-N7; Fri, 20 Sep 2019 05:31:37 -0400
Received: from [176.228.60.248] (port=4062 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iBFGK-0007sQ-T4; Fri, 20 Sep 2019 05:31:37 -0400
Date: Fri, 20 Sep 2019 12:31:43 +0300
Message-Id: <83zhizs48w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Sebastian Urban <mrsebastianurban@HIDDEN>
In-reply-to: <444e25f2-c2ff-02b3-0967-42aa28a0d503@HIDDEN> (message from
 Sebastian Urban on Fri, 20 Sep 2019 11:17:29 +0200)
Subject: Re: bug#37447: 26.3; Commands on <delete> and <backspace>
References: <444e25f2-c2ff-02b3-0967-42aa28a0d503@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37447
Cc: 37447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Sebastian Urban <mrsebastianurban@HIDDEN>
> Cc: 37447 <at> debbugs.gnu.org
> Date: Fri, 20 Sep 2019 11:17:29 +0200
> 
> Even 'M-<delete>' that does something opposite to 'M-d', when <delete>
> and 'C-d' do the same thing?  Doesn't that bother you?

What does "C-h c M-<delete>" display?  Does that text answer your
questions, when you contrast it with what "C-h c" shows for <delete>
and C-<delete>?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 20 Sep 2019 09:17:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 05:17:35 2019
Received: from localhost ([127.0.0.1]:56772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBF2l-0004sC-8S
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2019 05:17:35 -0400
Received: from mail-lf1-f54.google.com ([209.85.167.54]:33361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mrsebastianurban@HIDDEN>) id 1iBF2j-0004rv-82
 for 37447 <at> debbugs.gnu.org; Fri, 20 Sep 2019 05:17:33 -0400
Received: by mail-lf1-f54.google.com with SMTP id y127so4557146lfc.0
 for <37447 <at> debbugs.gnu.org>; Fri, 20 Sep 2019 02:17:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:subject:to:cc:in-reply-to:message-id:date:user-agent
 :mime-version:content-language:content-transfer-encoding;
 bh=Xbq07zZoqB1CcUwqIe0vVJ1edj1xG8ojjfNuIbZJe2c=;
 b=Go0qM8Of+J4JtB5kYigQegO67O77V78+GLwJo0OJ7K7sL8QG0UBCoZvVi35GbNj4uR
 P+nsRvepcPd1l1c1f71/0omBfGxDzxI90eBMTFdffu8LN8+mwWdc8eQbMZxRlXenJHsh
 ZdZnfZ0qeTs0JYVymYyTFWzu5xiSJvd7iih9tKZjqZAXJ27odw4RBA+AVt4hEOjVFj96
 LTP8r63Zj56fXHUbKqpD6gi1R4dltXR6LqFXr2E8bqsE81Uyrtz3DfJLeodkhN2+4pRH
 7fcGWZf8sg1eJzIVmvITG5833Ynik9tin0RE+8SL8r8GYU3C9C1LNqRdf+GTbHZERFwU
 I6pA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:subject:to:cc:in-reply-to:message-id:date
 :user-agent:mime-version:content-language:content-transfer-encoding;
 bh=Xbq07zZoqB1CcUwqIe0vVJ1edj1xG8ojjfNuIbZJe2c=;
 b=YHENG4Ie8C/YH5nsO3nZp/xjFdZGS4SWGq0PfrTe4rCGIpI3MYDvlqpD4Uvz65+nV7
 59Pw1dvjX/bJurXohSXUqnjOmmfL+DB80N8UG8CxB0ttPPLfyzX4OomaGCzPFZsRKs0A
 R28ggdJ0lr3Psa4+b2tVxrtvneLfeDK1zMax/SKPBydPann5gFYln8+GRWxeKE2sQBc2
 odNgsVlK3Y8q0GtYQAkFVbVdGiulpLXfAbPvoa6jG3+ODmIKbrFC5K3adO8dIRblByop
 MeicreVAeNdT0cr0yoqoqkE/CbCuBCzMzUGqZBwF79UFDs/vVVoAxX/b+dk27CBbsnHy
 wRqg==
X-Gm-Message-State: APjAAAUSx7qGwx0bLjblZEA3e0WSFFjKf5aQl3oBlzDY3MWv+lJmmzyY
 6vqEej3/ki4ATqA4nJOBIS1LCd4NT24=
X-Google-Smtp-Source: APXvYqwsgd6xP2vD/Q1QARSx25TDvqE/Z2dIMZ6W1K/WkUg00t6PwiwCcE+MemzfM/x+YAcqJ75ttw==
X-Received: by 2002:a19:4bd7:: with SMTP id y206mr8433823lfa.9.1568971046997; 
 Fri, 20 Sep 2019 02:17:26 -0700 (PDT)
Received: from [89.161.0.90] (ip-89-161-0-90.tel.tkb.net.pl. [89.161.0.90])
 by smtp.gmail.com with ESMTPSA id 6sm359777lfa.24.2019.09.20.02.17.25
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 20 Sep 2019 02:17:26 -0700 (PDT)
From: Sebastian Urban <mrsebastianurban@HIDDEN>
Subject: bug#37447: 26.3; Commands on <delete> and <backspace>
To: eliz@HIDDEN
In-Reply-To: <834l17tldj.fsf@HIDDEN>
Message-ID: <444e25f2-c2ff-02b3-0967-42aa28a0d503@HIDDEN>
Date: Fri, 20 Sep 2019 11:17:29 +0200
User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37447
Cc: 37447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> (...) They are highly popular key bindings that I, FWIW, am using
> every day.

Even 'M-<delete>' that does something opposite to 'M-d', when <delete>
and 'C-d' do the same thing?  Doesn't that bother you?  For me it's
inconsistency, but maybe there is a reason for this...

> And btw, I can never understand these arguments about changing what
> Emacs does by default.  You can easily rebind the keys yourself, so
> why force your personal preferences on everyone else?

If I would want to change 'C-a' to 'C-b' (or 'C-S-<backspace>' as
I tried, but not any more) then you are right, but not in this case.

The above example is not a change just because I like it (I don't even
use it), but rather spotting inconsistency and pointing it out.

As for 'C-<backspace>' also "no", because I was trying to reuse
something that is already there ('M-<backspace>').  But fine, someone
may use 'C-...', so I could leave it alone as well.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 20 Sep 2019 08:36:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 04:36:26 2019
Received: from localhost ([127.0.0.1]:56749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBEOw-0001eR-JS
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2019 04:36:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iBEOv-0001eD-0B
 for 37447 <at> debbugs.gnu.org; Fri, 20 Sep 2019 04:36:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35370)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iBEOp-0001hJ-Pn; Fri, 20 Sep 2019 04:36:19 -0400
Received: from [176.228.60.248] (port=4662 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iBEOp-00042P-45; Fri, 20 Sep 2019 04:36:19 -0400
Date: Fri, 20 Sep 2019 11:36:24 +0300
Message-Id: <834l17tldj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Sebastian Urban <mrsebastianurban@HIDDEN>
In-reply-to: <8e473f5a-2582-7086-8bd8-da75c00607d5@HIDDEN> (message from
 Sebastian Urban on Fri, 20 Sep 2019 10:17:38 +0200)
Subject: Re: bug#37447: 26.3; Commands on <delete> and <backspace>
References: <f49e689b-ed08-646c-5fc4-da6316dd711b@HIDDEN>
 <8e473f5a-2582-7086-8bd8-da75c00607d5@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37447
Cc: 37447 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Sebastian Urban <mrsebastianurban@HIDDEN>
> Date: Fri, 20 Sep 2019 10:17:38 +0200
> Cc: 37447 <at> debbugs.gnu.org
> 
> Also, there are "obsolete" functions that are removed after few
> versions of Emacs, so why not do the same thing to key bindings?

Because they are not "obsolete" by any measure.  They are highly
popular key bindings that I, FWIW, am using every day.

And btw, I can never understand these arguments about changing what
Emacs does by default.  You can easily rebind the keys yourself, so
why force your personal preferences on everyone else?

> Keeping old key bindings forever(?), especially when user can change
> them, is rather strange

It's not strange, it's called stability.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 20 Sep 2019 08:17:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 20 04:17:47 2019
Received: from localhost ([127.0.0.1]:56735 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBE6t-00015B-B7
	for submit <at> debbugs.gnu.org; Fri, 20 Sep 2019 04:17:47 -0400
Received: from mail-lf1-f48.google.com ([209.85.167.48]:32896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mrsebastianurban@HIDDEN>) id 1iBE6q-00014u-V6
 for 37447 <at> debbugs.gnu.org; Fri, 20 Sep 2019 04:17:45 -0400
Received: by mail-lf1-f48.google.com with SMTP id y127so4426246lfc.0
 for <37447 <at> debbugs.gnu.org>; Fri, 20 Sep 2019 01:17:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:subject:to:cc:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=xoJbCLIZIV/pHinpgUu9li0B0g0SaQnVrZag1oCz4u0=;
 b=nNi3hPpnkgmZd7vdyEp5+XQBammB85WH0gJPqe8HwngL0nyqIAg8toGjHsMtYLPa5P
 bpWCBu1PF3MNhgSRuEKvXAHEB7yET7D2QuFi3zHnnOVXjNLaLgfhmoBMdJ1gEPVkdJK6
 dKe0T7IkiLKr+jZramidw8lH0CdT8EJLqumFEsQZnM4uFgjUvkDEffPdAFUiqRjXDRkE
 mz6by0c1Ef+slP742hpZ5EnZKzoubdB/vQvx3is60SWaUheJZSeGPsExCGsWveVe4O0F
 R9jbLketOKObDTksea7OGyzIKcmD1jb5kp2+YE3LmRc9fPsmpQEGd2FmQ8bxpypd2J7W
 AEqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:subject:to:cc:message-id:date:user-agent
 :mime-version:content-language:content-transfer-encoding;
 bh=xoJbCLIZIV/pHinpgUu9li0B0g0SaQnVrZag1oCz4u0=;
 b=uPNmCz7+rceFR/SkHekMxQmMyba3VKawyFXjRlemk573TasM1FWf9jowpBqnO3uzRt
 aPbleXoQPNwseHmbR4HnUb2vo/WlE84uxW0oy/xiXlhGx0H7r79wJCtdazjbB11wntrh
 koQPZfoT22z18lH0fRikVD1WYD8sg6VmGMpIEqaWtd2tU/SyFxe+MBKPcaPmg7AJj9ic
 RPE16B1v8UiZKdDp2RPJzBp7dnqYj6kGYfM0Wf/THVqc6gP9Ahw8Tro4nDyYamajUAmZ
 Ouz5A8LuOH0waBTCObBvZlWngC/NpSKOv8mcGL0WcC0KqY07Ljuwz/TCHp/qMXig8IrI
 ARDg==
X-Gm-Message-State: APjAAAWEC3Rb5sUywFDjA2u66MhPrw3We7NU3sW4JGoalpD96QeY1je0
 10RYtIK13wFa1FF5KbNQq0Vs01NDBwQ=
X-Google-Smtp-Source: APXvYqx2TIIOb1yP0kWDHXnjkRPI1ZLkQNTyL1G3pnMRZeVmZi7KO0ne1imwo8qNMgzPOKXUsinz6Q==
X-Received: by 2002:a19:a408:: with SMTP id q8mr7853332lfc.94.1568967458656;
 Fri, 20 Sep 2019 01:17:38 -0700 (PDT)
Received: from [89.161.0.90] (ip-89-161-0-90.tel.tkb.net.pl. [89.161.0.90])
 by smtp.gmail.com with ESMTPSA id e19sm261500lja.8.2019.09.20.01.17.38
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 20 Sep 2019 01:17:38 -0700 (PDT)
From: Sebastian Urban <mrsebastianurban@HIDDEN>
Subject: bug#37447: 26.3; Commands on <delete> and <backspace>
To: juri@HIDDEN
Message-ID: <8e473f5a-2582-7086-8bd8-da75c00607d5@HIDDEN>
Date: Fri, 20 Sep 2019 10:17:38 +0200
User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37447
Cc: 37447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Imagine many users using the same keys for years, and now
> they will start doing the opposite - a recipe for disaster.

And that's why I'm not proposing changing C-b/n/p/f to C-h/j/k/l.  But
these two cases (without C-S-<backspace>) I pointed out doesn't seem
very critical, moreover they look like a bug (with 'M-<delete>'
deleting backward instead of forward as 'M-d' does - 'C-d' does
similar thing do <delete>, so 'M-...' should also be similar) or like
a leftover from the past ('C-<backspace>') that could be reused for
something useful.

Also, there are "obsolete" functions that are removed after few
versions of Emacs, so why not do the same thing to key bindings?  They
don't change that often, so it won't be a revolution, right?  Keeping
old key bindings forever(?), especially when user can change them, is
rather strange - confusion among new users, less keys for new/other
commands, etc.  I think Emacs should have one default key per command,
older should be marked as "obsolete" and removed after 1 or 2 major
versions.

But, this is from perspective of a beginner, so...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 19 Sep 2019 22:17:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 18:17:08 2019
Received: from localhost ([127.0.0.1]:56554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iB4jb-0002Sf-TW
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 18:17:08 -0400
Received: from eastern.birch.relay.mailchannels.net ([23.83.209.55]:62020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iB4jZ-0002SU-VI
 for 37447 <at> debbugs.gnu.org; Thu, 19 Sep 2019 18:17:06 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id BC1A66A2560;
 Thu, 19 Sep 2019 22:17:04 +0000 (UTC)
Received: from pdx1-sub0-mail-a17.g.dreamhost.com
 (100-96-84-221.trex.outbound.svc.cluster.local [100.96.84.221])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 5411F6A1D97;
 Thu, 19 Sep 2019 22:17:04 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a17.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Thu, 19 Sep 2019 22:17:04 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Blushing-Bored: 1bb74c6835711b9e_1568931424586_3862640748
X-MC-Loop-Signature: 1568931424586:2750756477
X-MC-Ingress-Time: 1568931424585
Received: from pdx1-sub0-mail-a17.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a17.g.dreamhost.com (Postfix) with ESMTP id 32372836B1;
 Thu, 19 Sep 2019 15:17:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=YRZjTTaXnz4Wy/+/+t5V4ElBdbE=; b=
 faazYR4DRyW4kIX551ERnRchnzydRYN9QgfWkQmvfyT29xWmQoe5kyEaE2KGrRRK
 61WT7UjpFHHZtCBR01przNvxiQzjPtAAK+JRcG5j4L35qHgrqBXfXoz9bKtubwd6
 A0HdSDE8IQ6adOWByeZxNsHc2xeZllPM7ZVc9PQlsn8=
Received: from mail.jurta.org (m91-129-107-243.cust.tele2.ee [91.129.107.243])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a17.g.dreamhost.com (Postfix) with ESMTPSA id 27457836BC;
 Thu, 19 Sep 2019 15:16:57 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a17
From: Juri Linkov <juri@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#37447: 26.3; Commands on <delete> and <backspace>
Organization: LINKOV.NET
References: <f49e689b-ed08-646c-5fc4-da6316dd711b@HIDDEN>
 <83blvhvkw0.fsf@HIDDEN>
 <14e4c460-b349-00f8-1705-81d89ab4930c@HIDDEN>
 <877e64qgby.fsf@HIDDEN>
 <077979fb-c46c-495d-9d91-ed94b619cb25@default>
 <85o8zgj6bi.fsf@HIDDEN>
Date: Fri, 20 Sep 2019 01:13:32 +0300
In-Reply-To: <85o8zgj6bi.fsf@HIDDEN> (Noam Postavsky's message of "Thu, 19
 Sep 2019 17:59:29 -0400")
Message-ID: <87h858nddf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedrvddugddtjecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtjedrvdegfeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdejrddvgeefpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepnhhpohhsthgrvhhssehgmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37447
Cc: Sebastian Urban <mrsebastianurban@HIDDEN>, 37447 <at> debbugs.gnu.org,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>> But if a safer solution is possible, then I'd recommend
>>> binding one of C- or M- prefixes to sexp killing commands
>>> because their default prefix C-M- can't be used: C-M-DEL
>>> runs system shutdown, and C-M-<backspace> kills the X server.
>
>> FWIW, `C-M-k' for `kill-sexp', and `C-M-<backspace>
>> for `backward-kill-sexp', work on at least some
>> platforms, such as MS Windows.

Currently I use `M-- C-M-k' as a replacement of `backward-kill-sexp'.

> FWIW, recent (since around 2007~2010 from what I see on the web) Xorg
> disables C-M-<backspace> as the kill X server by default.

I can't confirm since I'm afraid of typing these keys :)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 19 Sep 2019 21:59:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 17:59:38 2019
Received: from localhost ([127.0.0.1]:56533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iB4Sg-0001y8-Cq
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 17:59:38 -0400
Received: from mail-io1-f43.google.com ([209.85.166.43]:39075)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1iB4Se-0001xv-Tz
 for 37447 <at> debbugs.gnu.org; Thu, 19 Sep 2019 17:59:37 -0400
Received: by mail-io1-f43.google.com with SMTP id a1so11510959ioc.6
 for <37447 <at> debbugs.gnu.org>; Thu, 19 Sep 2019 14:59:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=0TN/1YvIeEn0hb7v14yzMQT26VC+I6+cm6sxPWGDIng=;
 b=bacbS6SwWTP+sXVA/fmhPUdbgFI27196HtH9DZa7krsm9pu8jWT8vYLxi2Ke4V3J9i
 cdk0rjcZwOWZBdmk69C4PRgAq4p44mc8DpbZmqUZFLg7fbJgzbnxgf7lrTbbELdbWRHa
 AoAh5tqXPof1s4g1Pth723NzbvQY6eJiOMPJ7OWvg2ijZOnZW1GI/aKcH5HvhcRig4mH
 9v3u6szPLTvjQy253edHsxclv0DSZiQJYi0gyaQQHL+WrKW2BUBU6ByWTSxx0dFo7j5A
 n5dMyPo0hYbj2e7hxxHWWXrHYqpu0SytFkN801qiP9T+doVBgcZ7CsuAcIBB/Q/oPxBJ
 sL0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=0TN/1YvIeEn0hb7v14yzMQT26VC+I6+cm6sxPWGDIng=;
 b=bZMOFAyL0MuperjBnqQi1UhbzusQLIwgc4da8sgSDhdkT0P3x2Gez0Dcr2bns2c27E
 44FsKyPOMvT2DDBVgfTfSQVb1hiYFtQZYCWpp4KKgaEgtR7zkwRgJjJh1bCOS+QZsJoY
 REoQWyEQ2LHST62nrOK/d3llMr82w7gUGzRGlYPuk1ml+2YgAkLgCIllmE88qOxZNen6
 C+sDUaWU4t5GJNPaN5uslmjzsq+JfJMHX3ShB8uxubnNRsURAv39gUqje6psDZFiOiBX
 JalEL9wefxm7+YSN/VcfJtcGHFbPkWzMVrfWrdTiBWY2Pjti6jf8rKdLLs0NSlVQNnQ/
 eanw==
X-Gm-Message-State: APjAAAW0JGnBCZ8qX0ypiM92qRrLVULBvfk2nyQXUxbv4cJDtAX/Jz7F
 uWmUPDNit8E00UuaJVsPhXn6/JWy
X-Google-Smtp-Source: APXvYqyjhwgmIaQdTjksAJ8/sJEd3raLYlQQ48+Dz1zcS6QleT1Nx8xdoIFFvdSMy5C2qps5OtNFTQ==
X-Received: by 2002:a6b:f80f:: with SMTP id o15mr5654226ioh.174.1568930371158; 
 Thu, 19 Sep 2019 14:59:31 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.38.42])
 by smtp.gmail.com with ESMTPSA id v3sm13494ioh.51.2019.09.19.14.59.30
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 19 Sep 2019 14:59:30 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#37447: 26.3; Commands on <delete> and <backspace>
References: <f49e689b-ed08-646c-5fc4-da6316dd711b@HIDDEN>
 <83blvhvkw0.fsf@HIDDEN> <14e4c460-b349-00f8-1705-81d89ab4930c@HIDDEN>
 <877e64qgby.fsf@HIDDEN>
 <077979fb-c46c-495d-9d91-ed94b619cb25@default>
Date: Thu, 19 Sep 2019 17:59:29 -0400
In-Reply-To: <077979fb-c46c-495d-9d91-ed94b619cb25@default> (Drew Adams's
 message of "Thu, 19 Sep 2019 14:17:29 -0700 (PDT)")
Message-ID: <85o8zgj6bi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37447
Cc: Sebastian Urban <mrsebastianurban@HIDDEN>, 37447 <at> debbugs.gnu.org,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams <drew.adams@HIDDEN> writes:

>> But if a safer solution is possible, then I'd recommend
>> binding one of C- or M- prefixes to sexp killing commands
>> because their default prefix C-M- can't be used: C-M-DEL
>> runs system shutdown, and C-M-<backspace> kills the X server.

> FWIW, `C-M-k' for `kill-sexp', and `C-M-<backspace>
> for `backward-kill-sexp', work on at least some
> platforms, such as MS Windows. 

FWIW, recent (since around 2007~2010 from what I see on the web) Xorg
disables C-M-<backspace> as the kill X server by default.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 19 Sep 2019 21:17:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 17:17:43 2019
Received: from localhost ([127.0.0.1]:56510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iB3o7-0000sN-0E
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 17:17:43 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:56498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1iB3o2-0000s5-MA
 for 37447 <at> debbugs.gnu.org; Thu, 19 Sep 2019 17:17:41 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x8JL8kYc056872;
 Thu, 19 Sep 2019 21:17:32 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2019-08-05;
 bh=6KboWCbl0vMNbWVrtWmMw1zUFocpwPSVYE2iPM2t1UM=;
 b=U85uA6bXYEP72AP7RO7g+GEKY1f8yDPPUAqV52gu31W8Df3tlrQJ9UZEBwyTgm30AXNb
 z5112sIwSjIOWqiRRhH3zZubJXVIklJrJtOZMSWwoX27pYJuo6duDJcuszlzxbjAABLe
 Bt87Zjo7k1JTyKVICOasJrA5cEqXBPGSf30B3sSQUibNlDndQNIDO2wM/X7BuObZQ0Jy
 ZyKKYxWrcD4JSdxtK3XevHXYHUighvhEkSX7b8SkMAFIzfqw9xWBKfFhicc6cvnkVI8F
 ztaEAX7/q1dP46fA4ktHyX2G8bVFpPatyTqG5xa4uDhRYKwj84RfU7yUMXRt5h4XgIR/ EA== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by userp2130.oracle.com with ESMTP id 2v3vb56mga-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 19 Sep 2019 21:17:32 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x8JL8toI023129;
 Thu, 19 Sep 2019 21:17:31 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3020.oracle.com with ESMTP id 2v3vbgva9a-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 19 Sep 2019 21:17:31 +0000
Received: from abhmp0010.oracle.com (abhmp0010.oracle.com [141.146.116.16])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x8JLHU2S001004;
 Thu, 19 Sep 2019 21:17:30 GMT
MIME-Version: 1.0
Message-ID: <077979fb-c46c-495d-9d91-ed94b619cb25@default>
Date: Thu, 19 Sep 2019 14:17:29 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, Sebastian Urban <mrsebastianurban@HIDDEN>
Subject: RE: bug#37447: 26.3; Commands on <delete> and <backspace>
References: <f49e689b-ed08-646c-5fc4-da6316dd711b@HIDDEN>
 <83blvhvkw0.fsf@HIDDEN> <14e4c460-b349-00f8-1705-81d89ab4930c@HIDDEN>
 <877e64qgby.fsf@HIDDEN>
In-Reply-To: <877e64qgby.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4888.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9385
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1908290000 definitions=main-1909190176
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9385
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1908290000
 definitions=main-1909190176
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37447
Cc: 37447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> But if a safer solution is possible, then I'd recommend
> binding one of C- or M- prefixes to sexp killing commands
> because their default prefix C-M- can't be used: C-M-DEL
> runs system shutdown, and C-M-<backspace> kills the X server.
> There is a replacement C-M-k for kill-sexp, but no key
> for backward-kill-sexp.

Please don't use just `C-' or just `M-' for sexp
commands.  Please use the conventional `C-M-'.

FWIW, `C-M-k' for `kill-sexp', and `C-M-<backspace>
for `backward-kill-sexp', work on at least some
platforms, such as MS Windows.=20

And for uses of Meta that are problematic for some
platforms, users can always use ESC.  E.g. `ESC C-k'
instead of `C-M-k' or `ESC C-<delete>' for
`C-M-<delete>'.  Admittedly not as handy, but usable
(and users with that problem can always rebind them).

(BTW, did you mean `C-M-<delete>' instead of `C-M-DEL'?
The latter doesn't seem to be bound by default.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 19 Sep 2019 20:49:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 19 16:49:39 2019
Received: from localhost ([127.0.0.1]:56494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iB3Mx-00009Y-05
	for submit <at> debbugs.gnu.org; Thu, 19 Sep 2019 16:49:39 -0400
Received: from bonobo.elm.relay.mailchannels.net ([23.83.212.22]:51032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iB3Mu-00009O-Cx
 for 37447 <at> debbugs.gnu.org; Thu, 19 Sep 2019 16:49:37 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 5A6495023DF;
 Thu, 19 Sep 2019 20:49:35 +0000 (UTC)
Received: from pdx1-sub0-mail-a17.g.dreamhost.com
 (100-96-38-104.trex.outbound.svc.cluster.local [100.96.38.104])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 99D60502349;
 Thu, 19 Sep 2019 20:49:33 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a17.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Thu, 19 Sep 2019 20:49:35 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Robust-Tart: 28f840ad6459e561_1568926173843_57893520
X-MC-Loop-Signature: 1568926173843:3266402251
X-MC-Ingress-Time: 1568926173843
Received: from pdx1-sub0-mail-a17.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a17.g.dreamhost.com (Postfix) with ESMTP id 5CBAC836B4;
 Thu, 19 Sep 2019 13:49:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=tXW9l/zB8SQT+SWIVyuulXIQ4TI=; b=
 CvL2nTmQxkLG4G4YMgY0thgmtv32DU0zJ+JiiLa8SDC3mizr+QS5G4EDSk/4Msrf
 r158nG36JTeN4Pw0jgXeEyE/ejBV6keAZ4ADvtojiW4EC9KXr1Xchn9RJG4vNztI
 zOBqxvZOBSBQouXa/j/TDzszHxQGyTFiebL5PzfAWNM=
Received: from mail.jurta.org (m91-129-107-243.cust.tele2.ee [91.129.107.243])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a17.g.dreamhost.com (Postfix) with ESMTPSA id D1A138369D;
 Thu, 19 Sep 2019 13:49:23 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a17
From: Juri Linkov <juri@HIDDEN>
To: Sebastian Urban <mrsebastianurban@HIDDEN>
Subject: Re: bug#37447: 26.3; Commands on <delete> and <backspace>
Organization: LINKOV.NET
References: <f49e689b-ed08-646c-5fc4-da6316dd711b@HIDDEN>
 <83blvhvkw0.fsf@HIDDEN>
 <14e4c460-b349-00f8-1705-81d89ab4930c@HIDDEN>
Date: Thu, 19 Sep 2019 23:31:21 +0300
In-Reply-To: <14e4c460-b349-00f8-1705-81d89ab4930c@HIDDEN> (Sebastian
 Urban's message of "Wed, 18 Sep 2019 15:18:13 +0200")
Message-ID: <877e64qgby.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedrvddtgdduheehucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdejrddvgeefnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtjedrvdegfedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehmrhhsvggsrghsthhirghnuhhrsggrnhesghhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedv
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37447
Cc: Eli Zaretskii <eliz@HIDDEN>, 37447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> These key bindings are too old to change them in the default
>> configuration.
>
> So inconsistency with 'M-d' and 'M-<delete>' will stay and
> 'C-<backspace>' & 'M-<backspace>' doing the same thing will also stay
> because of history?  I could ignore 'C-S-<backspace>', but previous
> two cases should be "updated".
>
> But if "No." means "No." - close the bug, please.  Unless we are
> waiting for more opinions.

Imagine many users using the same keys for years, and now
they will start doing the opposite - a recipe for disaster.
But if a safer solution is possible, then I'd recommend
binding one of C- or M- prefixes to sexp killing commands
because their default prefix C-M- can't be used: C-M-DEL
runs system shutdown, and C-M-<backspace> kills the X server.
There is a replacement C-M-k for kill-sexp, but no key
for backward-kill-sexp.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 18 Sep 2019 13:18:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 09:18:25 2019
Received: from localhost ([127.0.0.1]:53732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAZqj-0001Dv-7B
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 09:18:25 -0400
Received: from mail-lf1-f50.google.com ([209.85.167.50]:34701)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mrsebastianurban@HIDDEN>) id 1iAZqd-0001DZ-1H
 for 37447 <at> debbugs.gnu.org; Wed, 18 Sep 2019 09:18:23 -0400
Received: by mail-lf1-f50.google.com with SMTP id r22so5714759lfm.1
 for <37447 <at> debbugs.gnu.org>; Wed, 18 Sep 2019 06:18:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=xlmfUgyhgXa21TQdbo4fua5JxPgGAZVXcljBZMf7Yy4=;
 b=JwI77PKwgrQrYSUoYqv14Zt/sLV0Hl38yilWaWtNxriDcEahe8zSi2JqcDhLVh7FGq
 wocaTrJGuQ6gRAW3BHFf1JHIKWNhfpORe3wYB7cwKhErATnVQQWZ+uQBuGjXJELvXw3p
 NREqpnw7+7S3L7O8cJGQwNJJC8G/VbbXSCxxvxT75RsDUBWgRulI2BZQj+kVHB4QKagL
 LePK1MRWCTtGYZKHQZhEizHLDRngMuiFHP8UKnd3lWLV7XupaH4Q/RlEEaqap8u8SbMd
 cdKHAZ165ATOiotLTMyyZAWgZjqEGg0xIoJos1pvAU0ZCLGKOJjnbJ4+VQz50r1GTpM+
 bo1Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=xlmfUgyhgXa21TQdbo4fua5JxPgGAZVXcljBZMf7Yy4=;
 b=XFqKDcxTv3xnI2ukn82J+bcFqcUE9JiMNP9GcZNnIdffKL+2OOghaqJkjmn8k2le/q
 hW1QDRde0Id7vwE+qXL2Xl4RsJ7FRz9z9+ZFhhL2J6528A0uZVZMy+t02hamhhDAb3Y/
 NKNkxCZW6H478jr/tZbTRm1ICfqnf/ziirX509/4uT6Tz9bB9/lu3sXT0kkf5D65fB0T
 3B/gqr7C/n9gdSpAlORBR6mAYuFoDbQDc5jSYa2787IjbMpmVHhIwyT51u87gnWi7Cpp
 Tyn67w/U+EiOHJe2Uvg4OpUbwfysjQ8cFktb470k68HQT0BXgT/tAA9H0xNKYZRk28hl
 ysfQ==
X-Gm-Message-State: APjAAAV+H6gNCBFWWtchD+qYizBHwo0Q0JE+8X6yyBZYi+EWmQzoaAoT
 bLcprIt9BsyYxHuks0CBREEurgZk
X-Google-Smtp-Source: APXvYqwpH3XDpjiqHLCaBVMPFLrKjrLwCtKhrnB2/RhaotTzCUYyN1bWRkUyMZSGm9aqckmlrjUGZg==
X-Received: by 2002:ac2:47f8:: with SMTP id b24mr2143902lfp.134.1568812692496; 
 Wed, 18 Sep 2019 06:18:12 -0700 (PDT)
Received: from [89.161.0.90] (ip-89-161-0-90.tel.tkb.net.pl. [89.161.0.90])
 by smtp.gmail.com with ESMTPSA id h12sm1020885ljg.24.2019.09.18.06.18.11
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 18 Sep 2019 06:18:11 -0700 (PDT)
Subject: Re: bug#37447: 26.3; Commands on <delete> and <backspace>
To: Eli Zaretskii <eliz@HIDDEN>
References: <f49e689b-ed08-646c-5fc4-da6316dd711b@HIDDEN>
 <83blvhvkw0.fsf@HIDDEN>
From: Sebastian Urban <mrsebastianurban@HIDDEN>
Message-ID: <14e4c460-b349-00f8-1705-81d89ab4930c@HIDDEN>
Date: Wed, 18 Sep 2019 15:18:13 +0200
User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <83blvhvkw0.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37447
Cc: 37447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> These key bindings are too old to change them in the default
> configuration.

So inconsistency with 'M-d' and 'M-<delete>' will stay and
'C-<backspace>' & 'M-<backspace>' doing the same thing will also stay
because of history?  I could ignore 'C-S-<backspace>', but previous
two cases should be "updated".

But if "No." means "No." - close the bug, please.  Unless we are
waiting for more opinions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at 37447 <at> debbugs.gnu.org:


Received: (at 37447) by debbugs.gnu.org; 18 Sep 2019 12:39:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 08:39:33 2019
Received: from localhost ([127.0.0.1]:53715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAZF7-0000HU-GY
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 08:39:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iAZF6-0000HH-GU
 for 37447 <at> debbugs.gnu.org; Wed, 18 Sep 2019 08:39:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59083)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iAZF1-0004iY-Bg; Wed, 18 Sep 2019 08:39:27 -0400
Received: from [176.228.60.248] (port=1859 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iAZEz-0004Kf-5e; Wed, 18 Sep 2019 08:39:25 -0400
Date: Wed, 18 Sep 2019 15:39:27 +0300
Message-Id: <83blvhvkw0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Sebastian Urban <mrsebastianurban@HIDDEN>
In-reply-to: <f49e689b-ed08-646c-5fc4-da6316dd711b@HIDDEN> (message from
 Sebastian Urban on Wed, 18 Sep 2019 13:45:57 +0200)
Subject: Re: bug#37447: 26.3; Commands on <delete> and <backspace>
References: <f49e689b-ed08-646c-5fc4-da6316dd711b@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37447
Cc: 37447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Sebastian Urban <mrsebastianurban@HIDDEN>
> Date: Wed, 18 Sep 2019 13:45:57 +0200
> 
> We have:
> + "Delete"
>    - <deletechar> [<delete>] (delete-forward-char)
>    - <C-delete> (kill-word)
>    - M-DEL [<M-delete>] (backward-kill-word)
> 
> ? Perhaps C-<delete> should do (backward-kill-word) and <M-delete>
>    should (kill-word).  Then <M-delete> would be like 'M-d', which
>    seems to be correct way.
> 
> + "Backspace"
>    - DEL [<backspace>] (delete-backward-char)
>    - <C-backspace> (backward-kill-word)
>    - M-DEL [M-<backspace>] (backward-kill-word)
> 
> ? <C-backspace> as another (backward-kill-word) on the same button is
>    useless(?), maybe change it to (backward-kill-sentence), because
>    it's less typing than 'C-x DEL'?  And then (perhaps) assign 'C-x
>    DEL' to new function "backward kill line" (kill-line with 0
>    argument?).  OR let 'C-x DEL' backward kill sentence, and assign
>    backward kill line to 'C-DEL'.
> 
> ? Also perhaps rebind 'C-S-backspace' to 'C-M-backspace' for
>    (kill-whole-line)?

These key bindings are too old to change them in the default
configuration.  You can, of course, change them in your personal
configuration.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Sep 2019 11:46:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 07:46:06 2019
Received: from localhost ([127.0.0.1]:53671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAYPN-0007Kd-OW
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 07:46:05 -0400
Received: from lists.gnu.org ([209.51.188.17]:34885)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mrsebastianurban@HIDDEN>) id 1iAYPJ-0007K2-MH
 for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 07:46:04 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48505)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mrsebastianurban@HIDDEN>) id 1iAYPI-0001Dx-IG
 for bug-gnu-emacs@HIDDEN; Wed, 18 Sep 2019 07:46:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.2 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 SPOOFED_FREEMAIL autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mrsebastianurban@HIDDEN>) id 1iAYPH-0001Sz-K1
 for bug-gnu-emacs@HIDDEN; Wed, 18 Sep 2019 07:46:00 -0400
Received: from mail-lf1-x133.google.com ([2a00:1450:4864:20::133]:43938)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <mrsebastianurban@HIDDEN>)
 id 1iAYPH-0001S7-CN
 for bug-gnu-emacs@HIDDEN; Wed, 18 Sep 2019 07:45:59 -0400
Received: by mail-lf1-x133.google.com with SMTP id u3so5429063lfl.10
 for <bug-gnu-emacs@HIDDEN>; Wed, 18 Sep 2019 04:45:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:subject:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=bvGQsfpPL2hRXF3pyLYuR/JwGxJqe90V9CdAXlNP0T0=;
 b=OE1BeYpFbOvuYZThGWzWTfGQ/70uFmOLnH/h/b7pzHqZnDtOBhFbSmlh12+SF3FvZ0
 rHfPI0RfG7RUh7qppHfPJMDZh5TZxZQFCo2kiptT22GLZDUsBaYaaqj0WZ74ahCO/ba7
 NYi+A4ctOK0ln2QX0qxkKGbmqNd2kBqd8K7tC5+cJyVyr5gfkZb6zJk7FNJW3mqFIUy6
 6/dGVqZPdJ6WAwCLgTYLAYvcL0WoFdHE5hBQyNx9h7hbfqRWfi/xfrZkH8z/4OkP/JSW
 NiPVcdyEUKdcW7/U52t/LAHK6+pBRBdwWMfRsKc9JdBVruPRNY+GLla8aH+SZqINklVt
 xx4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:subject:message-id:date:user-agent
 :mime-version:content-language:content-transfer-encoding;
 bh=bvGQsfpPL2hRXF3pyLYuR/JwGxJqe90V9CdAXlNP0T0=;
 b=oPGIRY9QgikMK1XNWs0yqnjhgB0NSwwqfrTIXDtcM+298HHcybp5Bm00jftlM06SAT
 xz6rKBy27R5tiqGOjMq6DCP7igMElHGI7nMNs0imS0Qebckul2fYPr+iK5jUlkUxpFl5
 59Mr3Px3Tbob9pPAb7kqbmpoxOP18GDm4FvsrQVE5yjcZXpxXRtgzT32kpSbIIqm9gig
 EELa1sv1rxElG7tNJjYmDhsrxUaiYRX/nYYXXeWmAc7RYOEMd9JGThhV/8fVfIUMHqqV
 7dZj/fA0ubsBNfDuCYW3M8JljCrymnI6TdDE7f0UFzCBiWFUXUo/PWX2coIXDOuRkc+Z
 IsQQ==
X-Gm-Message-State: APjAAAVcgTFVkJkc6HD5p1BXZTjRbHnqvzvN49wb0eVw1JeVwhDmx2jf
 L5nM1VSHF4ZkTcwbSI/1CkuLUOxe
X-Google-Smtp-Source: APXvYqx9+ppc9pLyaH3Ls1JjBYNDV8RqpG0ee0FGqRuTTfRHrEZA+PCGrMX2/tnrUT9CJlCpS8720w==
X-Received: by 2002:ac2:4853:: with SMTP id 19mr1838846lfy.69.1568807157383;
 Wed, 18 Sep 2019 04:45:57 -0700 (PDT)
Received: from [89.161.0.90] (ip-89-161-0-90.tel.tkb.net.pl. [89.161.0.90])
 by smtp.gmail.com with ESMTPSA id u21sm1004885lje.92.2019.09.18.04.45.55
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 18 Sep 2019 04:45:56 -0700 (PDT)
To: Bug GNU Emacs <bug-gnu-emacs@HIDDEN>
From: Sebastian Urban <mrsebastianurban@HIDDEN>
Subject: 26.3; Commands on <delete> and <backspace>
Message-ID: <f49e689b-ed08-646c-5fc4-da6316dd711b@HIDDEN>
Date: Wed, 18 Sep 2019 13:45:57 +0200
User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::133
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Just a few thoughts about deleting and killing commands. We
 have: + "Delete" - <deletechar> [<delete>] (delete-forward-char) - <C-delete>
 (kill-word) - M-DEL [<M-delete>] (backward-kill-word) ? Perhaps C-<delete>
 should do (backward-kill-word) and <M-delete> should (kill-word). Then
 <M-delete> would be like 'M-d', which seems to be correct way. 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (mrsebastianurban[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 2.4 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

Just a few thoughts about deleting and killing commands.

We have:
+ "Delete"
   - <deletechar> [<delete>] (delete-forward-char)
   - <C-delete> (kill-word)
   - M-DEL [<M-delete>] (backward-kill-word)

? Perhaps C-<delete> should do (backward-kill-word) and <M-delete>
   should (kill-word).  Then <M-delete> would be like 'M-d', which
   seems to be correct way.

+ "Backspace"
   - DEL [<backspace>] (delete-backward-char)
   - <C-backspace> (backward-kill-word)
   - M-DEL [M-<backspace>] (backward-kill-word)

? <C-backspace> as another (backward-kill-word) on the same button is
   useless(?), maybe change it to (backward-kill-sentence), because
   it's less typing than 'C-x DEL'?  And then (perhaps) assign 'C-x
   DEL' to new function "backward kill line" (kill-line with 0
   argument?).  OR let 'C-x DEL' backward kill sentence, and assign
   backward kill line to 'C-DEL'.

? Also perhaps rebind 'C-S-backspace' to 'C-M-backspace' for
   (kill-whole-line)?


S. U.

GNU Emacs 26.3 (build 1, x86_64-w64-mingw32) of 2019-08-29




Acknowledgement sent to Sebastian Urban <mrsebastianurban@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37447; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.